import { ElementShadow } from '../element-shadow';
import { InputInterface } from './input.interface';
import { InputProps } from './input.props';
import { InputAbstract } from './questions/input.abstract';
export declare class Input<T extends InputProps> extends ElementShadow {
    private readonly InputClass;
    $$ignoreEvalProps: string[];
    props: any;
    private input?;
    constructor(InputClass: new (props: any) => InputAbstract<InputInterface>);
    init(inputProps: T): void;
    answer(value?: string | number | boolean | Array<{
        key: string;
        name: string;
    }>): void | undefined;
    exec(): Promise<any>;
}
