"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Testing = void 0;
const root_scene_1 = require("./components/root-scene");
const logger_1 = require("./libs/logger");
class Testing {
    static rootScene;
    static get vars() {
        return this.rootScene.localVars;
    }
    static get logger() {
        return this.rootScene.logger;
    }
    static reset() {
        Testing.rootScene = new root_scene_1.RootScene(new logger_1.Logger(logger_1.LoggerLevel.SILENT));
        Testing.rootScene.init({});
    }
    static async newElement(ElementClazz, ...args) {
        const elem = await this.rootScene.createNewElement(ElementClazz, ...args);
        return elem;
    }
}
exports.Testing = Testing;
Testing.reset();
//# sourceMappingURL=testing.js.map