import { ElementShadow } from '../element-shadow';
import { Element } from '../element.interface';
import { GroupItemProps, GroupProps } from './group.props';
export declare class Group<GP extends GroupProps, GIP extends GroupItemProps> extends ElementShadow {
    $$ignoreEvalProps: string[];
    protected runs: GIP[];
    private asyncJobs;
    init(props: GP | GIP[]): void;
    createNewElement(nameOrClass: string | (new (...args: any[]) => Element), ...args: any[]): Promise<ElementShadow>;
    exec(input?: any): Promise<ElementShadow[]>;
    private execElement;
}
