"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Vars = void 0;
const element_shadow_1 = require("../element-shadow");
class Vars extends element_shadow_1.ElementShadow {
    $$ignoreEvalProps = ['props'];
    props;
    init(props) {
        this.props = props;
    }
    async exec() {
        this.props = await this.scene.getVars(this.props, this);
        this.logger.trace('[%s] \t%j', this.tag, this.props);
        if (!this.props || Array.isArray(this.props) || typeof this.props !== 'object')
            return;
        Object.assign(this.scene.localVars, this.props);
        return this.props;
    }
}
exports.Vars = Vars;
//# sourceMappingURL=vars.js.map